@simplybusiness/bolt

# What it does

_Summarize the changes that this PR will make to the application, from
a developer's perspective.  e.g. New/changed/deleted classes, methods,
API calls, messages.  Where you know it will impact on other specific
teams/projects (e.g. Analysis or Systems), mention them specifically._

# Why it is important

_Make a case for merging this work.  Give enough context that somebody
outside your track/team (e.g. in Tech Leadership or App Support) would be
able to understand why it is valuable_

# Implementation notes

* _How to read the PR when reviewing (e.g. "start at the top", "start
  with models/foo.rb", "ignore app/presenters changes, this is all
  rubocop noise", or "I would like you to review each commit
  individually, as I put real effort into my commit messages")_

* _Decisions you made about the tech approach: if other approaches were
  considered, why you did it this way instead_

* _Decisions that you are unsure about and/or particularly want a
  second (or third) pair of eyes on._

* _What cross-team collaboration was needed and has already happened:
  noting this ("I talked to @madeupname in Systems and they are happy")
  will head off questions asking if you've asked them_

* _anything noteworthy about how or when to merge and deploy this work -
  e.g. other PRs that should be deployed before/after it, does it
  require service downtime._

# Future directions

_Note anything this PR does not do which a reviewer might otherwise
wonder if it should.  Make sure to say whether it's work which is in
your team's (or another team's) backlog already, or work which you
think there's a case for doing but that has not been agreed._

* _code quality issues it uncovers or refactors it enables_

* _future new Biz functionality which is unlocked/enabled by this change_

_There is no need here to recapitulate your entire product roadmap -
this is more for questions at the scale of "are you going to fix those
style errors/calls to deprecated methods?" than "are you going to
redesign the User model?"
