#!/usr/bin/ruby -s

require_relative '../lib/TrRMIte'

case

when $block
  consumer = TrRMIte::Consumer.new('ConsumerWithBlock', 'SomeEventTopic')
  consumer.run do |event|
    case event.type
    when 'SomeEventType'
      puts event.to_json
    else
      # ignore other event types
    end
  end

when $subclass
  class SomeConsumer < TrRMIte::Consumer
    def process(event)
      case event.type
      when 'SomeEventType'
        puts event.to_json
      else
        # ignore other event types
      end
    end
  end

  consumer = SomeConsumer.new('ConsumerSubclass', 'SomeEventTopic')
  consumer.run

when $handler
  class SomeConsumer < TrRMIte::Consumer
    include TrRMIte::EventHandling::DSL
    include TrRMIte::EventHandling::Processing

    handle :some_event_type do |event|
      puts event.to_json
    end
  end

  consumer = SomeConsumer.new('ConsumerWithHandler', 'SomeEventTopic')
  consumer.run


else
  abort 'Please specify one of: `-block`, `-subclass`, `-handler` ... aborting!'

end

# That's all Folks!
