require 'progressbar'

module TrRMIte
  module Consumers
    class Progress < Consumer

      def initialize(topic, registry_uri)
        super('PROGRESS_CONSUMER', topic, registry_uri)

        @processed_event_count = 0
        @max_event_count = ENV['MAX_EVENT_COUNT'].to_i
      end

      private

      def process event
        @progress_bar ||= if @max_event_count.zero?
                            ProgressBar.create(
                              total: nil,
                              format: 'Count: %c |%B| %a'
                            )
                          else
                            ProgressBar.create(
                              total: @max_event_count,
                              format: 'Count: %c/%C(%p%%) |%B| %a %e'
                            )
                          end

        @progress_bar.increment

        @stop_processing = (@processed_event_count += 1) == @max_event_count
      end

    end
  end
end
