module TrRMIte
  module Producers
    class Console < EventProducer

      def initialize(topic, queue_uri)
        super(queue_uri)
        @topic = topic
      end

      private

      def next_event
        if (message = $stdin.gets)
          Event.new(
            topic:   @topic,
            type:    'Message',
            payload: {
              message: munge(message.chomp)
            }
          )
        else
          nil
        end
      end

      def munge(message)
        message
      end

    end

    require 'base64'

    class Base64 < Console

      private

      def munge(message)
        ::Base64.strict_encode64(message)
      end

    end
  end
end
